Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 23506004: Update Jinja2 (Python template library) to 2.7.1 (Closed)

Created:
5 years, 11 months ago by Nils Barth (inactive)
Modified:
5 years, 11 months ago
CC:
chromium-reviews, kouhei (in TOK), Timothy Loh
Visibility:
Public.

Description

Update Jinja2 (Python template library) to 2.7.1 Jinja2 (used in Blink scripts in Source/core and Source/bindings) has been updated to 2.7.1 (from existing 2.6); see changelog. http://jinja.pocoo.org/docs/changelog/ The specific new features in this release that are useful are: * keep_trailing_newline * lstrip_blocks ...which make it easier to control whitespace, making templates easier to read. (Specifically it lets us easily indent control blocks.) * selectattr (allows filtering lists in template, simplifying Python code) In the Changelog these are referred to as: Added support for keeping the trailing newline in templates. Added finer grained support for stripping whitespace on the left side of blocks. Added map, select, reject, selectattr and rejectattr filters. BTW, 2.7 is the first Jinja2 major release in 2 years; 2.7.1 is a bugfix release: 2.7 2013-05-20 2.7.1 2013-08-07 This upgrade introduces a new dependency (on Windows), due to the safe string class being factored out into a separate library. Thus depends on separate CL: Add MarkupSafe library to third_party (dependency for Jinja2 2.7) https://codereview.chromium.org/23445019/ This has been committed as r221578: https://src.chromium.org/viewvc/chrome?view=rev&revision=221578 TBR=cpu@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=221663

Patch Set 1 #

Patch Set 2 : Add OWNERS #

Patch Set 3 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1091 lines, -1079 lines) Patch
M third_party/jinja2/AUTHORS View 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/jinja2/Jinja2-2.7.1.tar.gz.md5 View 1 chunk +1 line, -0 lines 0 comments Download
A third_party/jinja2/Jinja2-2.7.1.tar.gz.sha512 View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/jinja2/LICENSE View 1 chunk +31 lines, -31 lines 0 comments Download
M third_party/jinja2/README.chromium View 1 2 2 chunks +13 lines, -3 lines 0 comments Download
M third_party/jinja2/__init__.py View 1 chunk +1 line, -1 line 0 comments Download
A third_party/jinja2/_compat.py View 1 chunk +150 lines, -0 lines 0 comments Download
D third_party/jinja2/_markupsafe/__init__.py View 1 chunk +0 lines, -225 lines 0 comments Download
D third_party/jinja2/_markupsafe/_bundle.py View 1 chunk +0 lines, -49 lines 0 comments Download
D third_party/jinja2/_markupsafe/_constants.py View 1 chunk +0 lines, -267 lines 0 comments Download
D third_party/jinja2/_markupsafe/_native.py View 1 chunk +0 lines, -45 lines 0 comments Download
M third_party/jinja2/_stringdefs.py View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/jinja2/bccache.py View 4 chunks +22 lines, -12 lines 0 comments Download
M third_party/jinja2/compiler.py View 20 chunks +37 lines, -46 lines 0 comments Download
M third_party/jinja2/debug.py View 8 chunks +16 lines, -18 lines 0 comments Download
M third_party/jinja2/defaults.py View 2 chunks +4 lines, -1 line 0 comments Download
M third_party/jinja2/environment.py View 37 chunks +116 lines, -46 lines 0 comments Download
M third_party/jinja2/exceptions.py View 4 chunks +31 lines, -28 lines 0 comments Download
M third_party/jinja2/ext.py View 13 chunks +38 lines, -14 lines 0 comments Download
M third_party/jinja2/filters.py View 26 chunks +233 lines, -47 lines 0 comments Download
A third_party/jinja2/get_jinja2.sh View 1 2 1 chunk +123 lines, -0 lines 0 comments Download
M third_party/jinja2/lexer.py View 23 chunks +74 lines, -22 lines 0 comments Download
M third_party/jinja2/loaders.py View 8 chunks +32 lines, -11 lines 0 comments Download
M third_party/jinja2/meta.py View 4 chunks +4 lines, -3 lines 0 comments Download
M third_party/jinja2/nodes.py View 7 chunks +13 lines, -9 lines 0 comments Download
M third_party/jinja2/parser.py View 4 chunks +3 lines, -4 lines 0 comments Download
M third_party/jinja2/runtime.py View 20 chunks +60 lines, -27 lines 0 comments Download
M third_party/jinja2/sandbox.py View 6 chunks +17 lines, -10 lines 0 comments Download
M third_party/jinja2/tests.py View 3 chunks +7 lines, -19 lines 0 comments Download
M third_party/jinja2/utils.py View 20 chunks +60 lines, -141 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
Nils Barth (inactive)
Brett, Carlos, Need third_party OWNERS approval for this update; I'm also adding package-specific OWNERS so ...
5 years, 11 months ago (2013-08-27 06:14:06 UTC) #1
cpu_(ooo_6.6-7.5)
no need for approval, see the owners file in third_party for instructions.
5 years, 11 months ago (2013-08-27 17:36:47 UTC) #2
Nils Barth (inactive)
On 2013/08/27 17:36:47, cpu wrote: > no need for approval, see the owners file in ...
5 years, 11 months ago (2013-08-28 01:52:41 UTC) #3
haraken
LGTM as an OWNER of bindings/, which is the customer of the library. You can ...
5 years, 11 months ago (2013-08-28 01:58:44 UTC) #4
Nils Barth (inactive)
On 2013/08/28 01:58:44, haraken wrote: > LGTM as an OWNER of bindings/, which is the ...
5 years, 11 months ago (2013-08-28 03:29:47 UTC) #5
Nils Barth (inactive)
ping Brett, Carlos - PTAL (need an L.G.T.M from third_party b/c no dir-specific OWNERS yet)
5 years, 11 months ago (2013-08-29 01:11:22 UTC) #6
Nils Barth (inactive)
Hi Brett, Carlos, or Darin, Updating a third_party library (which has no OWNERS file, hence ...
5 years, 11 months ago (2013-08-30 01:28:18 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/nbarth@chromium.org/23506004/2001
5 years, 11 months ago (2013-08-30 01:29:19 UTC) #8
Nils Barth (inactive)
Sorry OWNERS, just understood TBR (= don't need a priori approval) - submitting.
5 years, 11 months ago (2013-08-30 01:41:00 UTC) #9
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 11 months ago (2013-08-30 02:07:57 UTC) #10
Nils Barth (inactive)
On 2013/08/30 02:07:57, I haz the power (commit-bot) wrote: > Sorry for I got bad ...
5 years, 11 months ago (2013-08-30 05:06:04 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/nbarth@chromium.org/23506004/31001
5 years, 11 months ago (2013-09-06 05:31:13 UTC) #12
commit-bot: I haz the power
5 years, 11 months ago (2013-09-06 09:48:36 UTC) #13
Message was sent while issue was closed.
Change committed as 221663

Powered by Google App Engine
This is Rietveld 408576698